# 0.13.19
## Built from:

    delorean_software: 0a6d1d6
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.10

## New Features

## Bug Fixes
- Fix issue introduced in 0.13.18 where tap for BPM was largely unresponsive (PROD-1889)
- Further fixes where loop could restart one bar in when closing a loop (PROD-1885)


# 0.13.18
## Built from:

    delorean_software: dca2aef
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.10

## New Features
- Disable A button when wedge is pressed to prevent accidental menu mode activations (PROD-1877)
- Remove debounce delay from A button to make ending a loop on time easier (PROD-1876)
- Limit max loop length to 8 bars (PROD-1405)

## Bug Fixes
- Fixed issue where loop could restart one bar in when closing a loop (PROD-1885)
- Fixed crash when recording long loops (PROD-1870)
- Fixed issue where notes would get stuck on if they were held during an octave shift (PROD-1861)
- Improved USB MIDI stability by fixing various issues (PROD-1711, PROD-1663, PROD-1417, PROD-1398, PROD-1034)
- Improved USB Audio stability (PROD-1151)

# 0.13.17
## Built from:

    delorean_software: ae662dd
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.2

## New Features

## Bug Fixes
- Fixed issue where notes could get stuck during looper playback (PROD-1762, PROD-1715)
- Fixed issue where notes could get stuck if they were held longer than the loop length (PROD-1754)
- Fixed issue where it was possible to have loop playback start one bar in when switching from record to overdub (PROD-1739)

# 0.13.16
## Built from:

    delorean_software: 8a0a468
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.2

## New Features
- Changed default looper mode to allow up to 1 bar of silence at start of loop, first notes played back as recorded on time grid rather than snapped to start of loop. (PROD-1836, 1832, 1793, 1796)

## Bug Fixes
- Fixed issue in looper where a note could be missed during the first loop of playback (PROD-1807)
- Fixed issue where it was possible to enter overdubbing when looper was full and cause a crash (PROD-1790)
- Fixed issue with large packet sizes on bluetooth (PROD-1781)
- Fixed issue where Orba could crash when deleting a song (PROD-1775)
- Fixed issue where Orba could crash when overdubbing overlapping notes (PROD-1760)
- Fixed audio distortion when overdubbing lots of notes on all parts (PROD-1741, 1736)


# 0.13.15
## Built from:

    delorean_software: 3268269
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.2

## New Features

## Bug Fixes
* Fix issue where leaky channel assignments could cause looper crash (PROD-1771)
* Fixed issue where looper fastforward algorithm could overrun end of looper data and cause crash (PROD-1766)
* Fixed various issues where sliding across menu and mode buttons simultaneously could cause crash (PROD-1765, 1763, 1737, 1706, 1696, 1692)
* Fixed issue where drum LED would be red when initially recording a loop (PROD-1759)

# 0.13.14
## Built from:

    delorean_software: 6d6a072 
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.0

## New Features
* Added support for minor chords (PROD-1699, PROD-1698)

## Bug Fixes
* REMOVED FROM 0.13.13:::: Fixed issue where starting record of a loop just before the '1' beat would result in resuming playback midway through the song (PROD-1702)
* REMOVED FROM 0.13.13:::: Fixed issue where the UI lock could become unlocked and result in buzzing during preset / song loading (PROD-1669)
* Fixed issue where CC and aftertouch messages were played per note instead of per channel (PROD-1757)


# 0.13.13
## Built from:

    delorean_software: 077bccf
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.0

## New Features
* Added FW capability to change key of loops in Orba (requires app compatibility) (PROD-1580)

## Bug Fixes
* Fixed issue where looper wouldn't record channel pressure (PROD-1712)
* Fixed issue where starting record of a loop just before the '1' beat would result in resuming playback midway through the song (PROD-1702)
* Fixed issue where long transfer times over BLE MIDI could cause the UI to become unlocked (PROD-1710)
* Fixed issue where turning off Orba sounds while the looper was playing would cause stuck notes. (PROD-1670)
* Fixed issue where the UI lock could become unlocked and result in buzzing during preset / song loading (PROD-1669)


# 0.13.12
## Built from:

    delorean_software: 8ff3d8b
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.14.0

## New Features
* User pitchbend scale is now persistent across power cycles
* Chords now respond to major / minor changes from app. 


## Bug Fixes
* Fixed issue where battery charge blink would never indicate full battery (PROD-1694)
* Fixed issue where MIDI notes > 127 could be played with enough octave shifting (PROD-1684)
* Fixed issue where overdubbing on chords could cause easy crash (PROD-1664)

# 0.13.11
## Built from:

    delorean_software: 6264c98
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.13.0

## New Features
* Playback no longer stops when clearing loop (PROD-1569)
* Note off messages are always sent over BLE MIDI (PROD-1545)


## Bug Fixes
* Fixed possible crash if playing lots of notes at once (PROD-1656)
* Fixed issue with loading songs above a certain length (PROD-1640)
* Fixed issue where full low pitch bend (and other bezier curves) would be interpreted as full high (PROD-1636)
* Fixed issues where chunks of loops could go missing (PROD-1635, 1525, 1414, 1397, 1296)
* Fixed issue where pausing Orba when nothing has been recorded wouldn't restart record correctly (PROD-1634)
* Fixed issue with bulk transfer size being too large for BLE interface (PROD-1622)
* Fixed issues with CC's not being recorded properly after loop / song erase (PROD-1561, PROD-1560)

# 0.13.10
## Built from:

    delorean_software: c71f6a9
	esp32_bt: 32e761fd
	audio_engine: 7c115e0
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.11.0

## New Features
* Updated loop recording ending logic to start playing loop from current spot if loop exceeds bar length by less than the bar end grace period (PROD-1592)
* Audio engine back end updates

## Bug Fixes
* Fixed issue where stuck notes were possible if pads were played during flash writes (PROD-1617)
* Minor BT fixes (PROD-1595)
* Fixed an issue where overdubbed notes longer than the loop length could get stuck on (PROD-1574)
* Fixed issues where notes could get stuck on erasing a loop / song while in record / overdub (PROD-1571)
* Fixed an issue where Orba would freeze if opening Logic (or sending any sysex messages via USB) (PROD-1526)

# 0.13.9
## Built from:

    delorean_software: 1597bbe
	esp32_bt: 32e761fd
	audio_engine: d899d01
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.11.0

## New Features

## Bug Fixes
* Looper bug fixes (PROD-1581, 1582, 1585, 1415)


# 0.13.8
## Built from:

    delorean_software: ac9e564
	esp32_bt: 32e761fd
	audio_engine: d899d01
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.11.0

## New Features

## Bug Fixes
* Fixed issue where switching to lead wouldn't send a MIDI program change (PROD-1572)
* Fixed issue where saving to flash was broken, causing preset loading, song saving, etc. to be broken (PROD-1568)
* Fixed issue where sliding around the pads more than once during a single menu entry would cause a crash (PROD-1566)
* Minor amounts of work on CC issues recording after loop erase, but it's not finished yet (PROD-1561, PROD-1560)



# 0.13.7
## Built from:

    delorean_software: 31626ef
	esp32_bt: 32e761fd
	audio_engine: d899d01
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.11.0

## New Features
* Added ability to store song name on Orba (PROD-1551)
* Added abilty for app to detect changes to looper data (PROD-1546)
* Changed A button to switch from record to overdub instead of to next part when recording first song (PROD-1505)
* Changed menu entrance to short white flash instead of constant blinking (PROD-1504)
* Changed deleting a loop to go to stop instead of back to record (PROD-1503)
* Added automatic song saving and loading on power down (persistent songs). (PROD-1502, PROD-1523, PROD-1524)
* Enabled metronome tick whenever record is active (PROD-1480)
* Turned down metronome volume by ~4dB (PROD-1479)
* Added root notes and scale to pattern data (PROD-1477)
* Added song root note and scale to Orba metadata (PROD-1420)
* Added delete song feature via A+REC for 4s and A+REC+SHAKE (PROD-1307, PROD-1234)



## Bug Fixes
* Fixed issues where erasing loops and songs could cause stuck notes (PROD-1559, PROD-1541, PROD-1529)
* Fixed issues where bad commands from app could crash looper (PROD-1532)
* Fixed issue where tilting Orba to ~90deg and pushing A button erased loops without a shake to erase (PROD-1451)
* Fixed some issues with BLE MIDI (PROD-1498)
* Fixed issues where notes would get cut off when recording a new part in a song and notes crossed the loop restart boundary (PROD-1412, PROD-1411, PROD-1406)


# 0.13.6
## Built from:

    delorean_software: fa4025f
	esp32_bt: a90f493
	audio_engine: 0065094
	capsense: 2988ebe

## Compatibility

    Orba PVT units
	Oba App >= 0.10.0

## New Features
* Added ability to export bezier curve data


## Bug Fixes
* Fixed issue where note off messages would be sent multiple times when changing synth parts (PROD-1478)
* Fixed issue where loading a preset via BLE MIDI would take ~30s (PROD-1469, PROD-1467, PROD-1446, PROD-1445, PROD-1436, PROD-1176)
* Fixed issue where A button would not work on some units (PROD-1464)
* Fixed issue where using the UI lock would cause preset loading to fail (PROD-1452)

# 0.13.5
## Built from:

    delorean_software: 1bc08ad
	esp32_bt: 96c96ab7
	audio_engine: 1301195
	capsense: 415d099

## Compatibility

    Orba PVT units
	Oba App >= 0.8.0

## New Features
* Updated audio engine shaker voice
* Added ability for app to soft reset Orba (PROD-1395)
* Added support for exporting modifier data


## Bug Fixes
* Fixed issue where tapping tempo would default to lowest tempo on first tap (PROD-1401)

# 0.13.4
## Built from:

    delorean_software: 410eb43
	esp32_bt: 96c96ab7
	audio_engine: 18ba3f2
	capsense: 415d099

## Compatibility

    Orba PVT units
	Oba App >= 0.8.0

## New Features
* Updated default chord modifier (PROD-1366)


## Bug Fixes
* Fixed issue where streaming USB audio during FW updating process could cause ESP32 FW update to fail

# 0.13.3
## Built from:

    delorean_software: 12447cd
	esp32_bt: 96c96ab7
	audio_engine: 18ba3f2
	capsense: 415d099

## Compatibility

    Orba PVT units
	Oba App >= 0.8.0

## New Features
* Updated default chord modifier (PROD-1366)


## Bug Fixes
* Fixed issue where pitch bend would report incorrect range at boot (PROD-1391)
* Fixed issue where shake to erase could be inadvertently triggered, erasing loops (PROD-1388, PROD-1387)
* Fixed issue where global CCs weren't cleared on a loop erase (PROD-1378)
* Fixed issue where global CCs would decay over time, causing loop events to be erased (PROD-1374, PROD-1340, PROD-1296)
* Fixed issue where press gesture scale was incorrect (PROD-1364)
* Fixed issue where shake to erase would cause notes to remain silent while in overdub (PROD-1361)
* Fixed bugs in audio engine waveguide calculations


# 0.13.2
## Built from:

    delorean_software: 1366c5f
	esp32_bt: 96c96ab7
	audio_engine: ca1907c

## Compatibility

    Orba PVT units
	Oba App >= 0.8.0

## New Features
* Add ability to erase loops while in record mode by shake or long press on menu + rec button (PROD-1307)
* Updated audio engine to reduce quantization effects


## Bug Fixes
* Fixed issue where global CCs were not recorded during overdubbing (PROD-1328)
* Fixed issue where external MIDI notes were sent in the wrong order if a looped note was cut off in overdub (PROD-1331)
* Fixed a memory leak that could cause the looper to crash if more than 4 notes were playing simultaneously (PROD-1337)
* Fixed issue with CC thinner channel assignments that could crash looper (PROD-1338)
* Fixed issue that almost guaranteed a looper crash if overdubbing and you run out of looper memory (PROD-1339, PROD-1314)
* Fixed issue where deleting a playing loop could cause stuck notes (PROD-1273)

# 0.13.1
## Built from:

    delorean_software: c838e78
	esp32_bt: 96c96ab7
	audio_engine: 91568f5

## Compatibility

    Orba PVT units
	Oba App >= 0.6.4

## New Features
* Added ability for app to perform factory reset on Orba. 


## Bug Fixes
* Fixed issue where tapping a tempo that was too fast could cause a really slow tempo to be recorded (PROD-1247)
* Fixed some issues where overrunning the loop length could crash Orba (PROD-1250)
* Fixed some issues where changing parts while overdubbing could crash Orba (PROD-1254)
* Added UI lock to allow app to silence Orba while loading presets to prevent beeping  (PROD-1260)
* Fixed issue where Orba could freeze while updating capsense firmware (PROD-1271)
* Fixed issue where Orba could crash if the play surface was extensively palmed (PROD-1274)
* Fixed issue where looper would crash if overdubbing cut off a note that had pitch bends (PROD-1275)
* Fixed issue where looper would crash if source loop had MIDI channels recorded that were > 5 (PROD-1276)
* Fixed issue where overrunning loop length could corrupt other loops and potentially crash Orba (PROD-1285)
* Fixed issue where timestamps were not correctly calculated for CC events resulting in loop shifting in time  (PROD-1286)
* Fixed issue where bezier curve values were calculated to be zero if the input value was less than zero (PROD-1294)

# 0.13.0
## Built from:

    delorean_software: d8e7990
	esp32_bt: 96c96ab7
	audio_engine: 91568f5

## Compatibility

    Orba PVT units
	Oba App >= 0.6.4

## New Features
* Updated audio engine with headphone limiter gain
* Removed drum MIDI File Processor modifier
* Reduced pitch bend range to 1/12 semitone
* Updated factory presets to v11
* Updated loop erase by holding record to require 2s instead of 3s
* Updated looper to kick Orba out of record mode if looper is out of memory instead of crashing


## Bug Fixes
* Improved issue where Orba would crash if you overrun loop length (some strange behaviour still exists)
* Fix issue where skipping too many MIDI ticks (such as changing parts) would cause Orba to crash
* Fixed issue where looper could crash if overdubbing a note on before a CC
* Fixed various crashing bugs related to menu operations while in overdub
* Fixed issue where looper would play back all loop parts on currently active channel when in CPPOP mode
* Fixed issue where internal note trackers were not cleared if Orba was in CPPOP mode, leading to 'dead' pads in some modes, typically when palming pads

# 0.12.10
## Built from:

    delorean_software: 4a29b61
	esp32_bt: 96c96ab7
	audio_engine: 2dc17fa

## Compatibility

    Orba PVT units
	Oba App >= 0.6.1

## New Features
* Changed record to 'stop' if record is pressed while recording and no song is recorded. 
* Reset to factory defaults upon firmware update
* Updated audio engine


## Bug Fixes
* Fixed issue where Orba would crash if you slid from A button to Drum pad
* Fixed issue where orba would crash if you slid from A button to chord pad
* Updates to modifier chain / loading logic to allow loading presets with no modifiers
* Updated looper to prevent crashes during mode changes while in record / overdub
* Updates to bezier comms to talk to app. 

# 0.12.8
## Built from:

    delorean_software: 179975e
	esp32_bt: 96c96ab7
	audio_engine: ac9deea

## Compatibility

    Orba PVT units
	Oba App >= 0.6.1

## New Features
* Updated audio engine

## Bug Fixes
* Fixed issue where it is possible to get stuck chords if 2 chord note offs happen really close together
* Fixed issue where MIDI File processor could use patterns for the incorrect synth part
* Fixed issue where external MIDI messages could use up all available MPE channels and cause a crash


# 0.12.7
## Built from:

    delorean_software: 687d02e
	esp32_bt: 96c96ab7
	audio_engine: 93d2408

## Compatibility

    Orba PVT units
	Oba App >= 0.6.1

## New Features
* Updated default synth patches to 0-9
* Added watchdog so that crashes will result in orba restarting automatically. 

## Bug Fixes
* Fixed issue where looper would crash when switching loops while overdubbing
* Fixed issue where Orba would crash on a full palm press in drum mode
* Fixed issue where Orba would power off if battery is dead but you are plugged in
* Fixed issue where looper would only play first note in a loop
* Fixed issue where user played notes could not be assigned to MPE channels > 8 which would cause a crash
* Fixed audio engine issue where CCs were not registered correctly if no noted were playing
* Fixed issue with iOS / Android connectivity on ESP32 module


# 0.12.3
## Built from:

    delorean_software: eb6a2f2
	esp32_bt: 96c96ab7
	audio_engine: 230c10f

## Compatibility

    Orba PVT units
	Oba App >= 0.6.1

## New Features
* Default pitch bend range set to 2 from 48
* Bezier curves are now symmetric about 0
* Orba sound is defaulted to 'on' when connected via USB
* Menu mode now displays green when UI is detected to indicate no more UI possible
* Updated audioengine to release 1.0

## Bug Fixes

* Fixed issue where looper events could 'walk' though time if left in overdub for long periods, sometimes causing crashes. 
* Fixed issues when connecting to android devices via BT
* Fix major issue sysex messages would not be transmitted by ESP32 to STM32 in many cases

# 0.12.1
## Built from:

    delorean_software: 492ae71
	esp32_bt: fb5a0a24
	audio_engine: 9965711

## Compatibility

    Orba PVT units
	Oba App >= 0.6.1

## New Features
* Added MIDI file processor to drums part
* Added new factory presets
* MIDI looper can now record more events!
* Lots of back end work for looper / pattern stuff

## Bug Fixes

* Lots of back end looper improvements

# 0.11.8
## Built from:

    delorean_software: 6c20c16
	esp32_bt: fb5a0a24

## Compatibility

    Orba PVT units

## New Features
* Enabled pitch bend on looper recording
* Updated presets to factory default 0.2

## Bug Fixes

* Fixed looper crash bug described in PROD-1131
* Back end modification to MFP to be per-part
* Back end modification for bezier curves to be per-part


# 0.11.6
## Built from:

    delorean_software: 5797dae
	esp32_bt: fb5a0a24

## Compatibility

    Orba PVT units


## New Features
* Enabled communication over Bluetooth + app
* Pitch bend smoothed out

## Bug Fixes

* Back end updates to pattern modifier (MFP) 
* Mutexes added for preset loading
* Many looper stability improvements
* Volume range tweaked
* Fixed issue with BLE MIDI latency when sending lots of CCs

# 0.11.4
## Built from:

    delorean_software: 5797dae

## Compatibility

    Orba PVT units


## New Features

## Bug Fixes

* Fix issues where global CCs wouldn't be output
* Fix buzz during mode switch
* Fix pitch bend jumpiness when transitioning out of deadband
* Cut off notes in chord properly

## Known Issues/Bugs

* Looper does not record aftertouch or pitch bend messages

# 0.11.3
## Built from:

    delorean_software: 5797dae

## Compatibility

    Orba PVT units


## New Features

## Bug Fixes

* Fix issues where global CCs wouldn't be output
* Fix buzz during mode switch
* Fix pitch bend jumpiness when transitioning out of deadband
* Cut off notes in chord properly

## Known Issues/Bugs

* Looper does not record aftertouch or pitch bend messages

